#include <iostream>
using namespace std;
int main()
{
    int n,nech,ngnech,ch,ngch,nomer,znech,zch;
    ngnech=0;
    ngch=0;
    ch=0;
    nech=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>nomer;
        if(nomer%2==1){
                nech++;
        if(nomer>ngnech) swap(nomer,ngnech);
        }
        else
        {
            ch++;
            if(nomer>ngch) swap(nomer,ngch);
        }
    }
    zch=ngch/2-ch;
    znech=(ngnech+1)/2-nech;
    cout<<znech<<" "<<zch<<endl;
}
